Endpoint for generating standalone invoices or credit notes, Standalone Invoice IQ API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
^\d{4}-\d{2}-\d{2}$
string
required
length ≤ 40

An identifier that further defines the document and corresponds to the transaction stored in the host system. The Transaction ID is required to uniquely identify generated invoice.

number

The transaction net sale amount. This O Series sale response field is accepted as input for standalone Invoice IQ provided-totals requests. In that mode, subTotal, totalTax, and total must all be present and are treated as authoritative.

customer
object
lineItems
array of objects
required
lineItems*
currency
object
required

The monetary unit to be used in calculations as defined by ISO 4217 standard.

string
^\d{4}-\d{2}-\d{2}$

The date that drives the timing of when the VAT liability arises. In some countries, if the Tax Point Date (also called the Time of Supply) is different from the invoice date, this field is shown separately on an invoice. It is shown as the Supply date on the generated invoice and in the audit report. Format is: yyyy-MM-dd.

number

The transaction gross amount. This O Series sale response field is accepted as input for standalone Invoice IQ provided-totals requests. In that mode, subTotal, totalTax, and total must all be present and are treated as authoritative.

string
^\d{4}-\d{2}-\d{2}$

The date on which the purchaser paid for the product.

string
^\d{4}-\d{2}-\d{2}$

Defines when the transaction is reported for use with reporting and returns filing. If provided it will be used to determine invoice and credit note timestamps.

string
length ≤ 40

Transaction ID of the original transaction. It is used for credit note generation. It should
be a value of the previously created transaction for which a refund is created.

string | null

User-provided invoice number. If provided, the system will use this instead of auto-generating one.
Only one invoice number is supported per transaction — if line items would require multiple distinct
invoices (due to different tax countries, product classes, or tax liability owners), the request
will be rejected with an error.

Invoice number is used as-is; the caller is responsible for providing a valid invoice number and ensuring its uniqueness where required.

seller
object
number

The transaction tax amount. This O Series sale response field is accepted as input for standalone Invoice IQ provided-totals requests. In that mode, subTotal, totalTax, and total must all be present and are treated as authoritative.

Responses

Language
Credentials
LoadingLoading…